<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_hotelinfo.php" ?>
<?php include "tbl_countryinfo.php" ?>
<?php include "tbl_languageinfo.php" ?>
<?php include "tbl_hotel_originalinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "tbl_provinceinfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_hotel_view = new ctbl_hotel_view();
$Page =& $tbl_hotel_view;

// Page init
$tbl_hotel_view->Page_Init();

// Page main
$tbl_hotel_view->Page_Main();
?>
<?php include "header.php" ?>
<?php if ($tbl_hotel->Export == "") { ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_hotel_view = new ew_Page("tbl_hotel_view");

// page properties
tbl_hotel_view.PageID = "view"; // page ID
tbl_hotel_view.FormID = "ftbl_hotelview"; // form ID
var EW_PAGE_ID = tbl_hotel_view.PageID; // for backward compatibility

// extend page with Form_CustomValidate function
tbl_hotel_view.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_hotel_view.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_hotel_view.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<?php } ?>
<p><span class="phpmaker"><?php echo $Language->Phrase("View") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_hotel->TableCaption() ?>
<br><br>
<?php if ($tbl_hotel->Export == "") { ?>
<a href="<?php echo $tbl_hotel_view->ListUrl ?>"><?php echo $Language->Phrase("BackToList") ?></a>&nbsp;
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $tbl_hotel_view->AddUrl ?>"><?php echo $Language->Phrase("ViewPageAddLink") ?></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $tbl_hotel_view->EditUrl ?>"><?php echo $Language->Phrase("ViewPageEditLink") ?></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $tbl_hotel_view->CopyUrl ?>"><?php echo $Language->Phrase("ViewPageCopyLink") ?></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a onclick="return ew_Confirm(ewLanguage.Phrase('DeleteConfirmMsg'));" href="<?php echo $tbl_hotel_view->DeleteUrl ?>"><?php echo $Language->Phrase("ViewPageDeleteLink") ?></a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="tbl_hotel_submenulist.php?<?php echo EW_TABLE_SHOW_MASTER ?>=tbl_hotel&hotel_or_id=<?php echo urlencode(strval($tbl_hotel->hotel_or_id->CurrentValue)) ?>"><?php echo $Language->Phrase("ViewPageDetailLink") ?><?php echo $Language->TablePhrase("tbl_hotel_submenu", "TblCaption") ?>
</a>
&nbsp;
<?php } ?>
<?php } ?>
</span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_hotel_view->ShowMessage();
?>
<p>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_hotel->hotel_id->Visible) { // hotel_id ?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel->hotel_id->FldCaption() ?></td>
		<td<?php echo $tbl_hotel->hotel_id->CellAttributes() ?>>
<div<?php echo $tbl_hotel->hotel_id->ViewAttributes() ?>><?php echo $tbl_hotel->hotel_id->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel->hotel_or_id->Visible) { // hotel_or_id ?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel->hotel_or_id->FldCaption() ?></td>
		<td<?php echo $tbl_hotel->hotel_or_id->CellAttributes() ?>>
<div<?php echo $tbl_hotel->hotel_or_id->ViewAttributes() ?>><?php echo $tbl_hotel->hotel_or_id->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel->language_id->Visible) { // language_id ?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel->language_id->FldCaption() ?></td>
		<td<?php echo $tbl_hotel->language_id->CellAttributes() ?>>
<div<?php echo $tbl_hotel->language_id->ViewAttributes() ?>><?php echo $tbl_hotel->language_id->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel->country_id->Visible) { // country_id ?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel->country_id->FldCaption() ?></td>
		<td<?php echo $tbl_hotel->country_id->CellAttributes() ?>>
<div<?php echo $tbl_hotel->country_id->ViewAttributes() ?>><?php echo $tbl_hotel->country_id->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel->province_id->Visible) { // province_id ?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel->province_id->FldCaption() ?></td>
		<td<?php echo $tbl_hotel->province_id->CellAttributes() ?>>
<div<?php echo $tbl_hotel->province_id->ViewAttributes() ?>><?php echo $tbl_hotel->province_id->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel->category->Visible) { // category ?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel->category->FldCaption() ?></td>
		<td<?php echo $tbl_hotel->category->CellAttributes() ?>>
<div<?php echo $tbl_hotel->category->ViewAttributes() ?>><?php echo $tbl_hotel->category->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel->photo->Visible) { // photo ?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel->photo->FldCaption() ?></td>
		<td<?php echo $tbl_hotel->photo->CellAttributes() ?>>
<?php if ($tbl_hotel->photo->HrefValue <> "" || $tbl_hotel->photo->TooltipValue <> "") { ?>
<?php if (!empty($tbl_hotel->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_hotel->photo->UploadPath) . $tbl_hotel->photo->Upload->DbValue ?>" border=0<?php echo $tbl_hotel->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_hotel->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } else { ?>
<?php if (!empty($tbl_hotel->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_hotel->photo->UploadPath) . $tbl_hotel->photo->Upload->DbValue ?>" border=0<?php echo $tbl_hotel->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_hotel->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } ?>
</td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel->hotel_name->Visible) { // hotel_name ?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel->hotel_name->FldCaption() ?></td>
		<td<?php echo $tbl_hotel->hotel_name->CellAttributes() ?>>
<div<?php echo $tbl_hotel->hotel_name->ViewAttributes() ?>><?php echo $tbl_hotel->hotel_name->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel->descriptioin->Visible) { // descriptioin ?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel->descriptioin->FldCaption() ?></td>
		<td<?php echo $tbl_hotel->descriptioin->CellAttributes() ?>>
<div<?php echo $tbl_hotel->descriptioin->ViewAttributes() ?>><?php echo $tbl_hotel->descriptioin->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel->order_by->Visible) { // order_by ?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel->order_by->FldCaption() ?></td>
		<td<?php echo $tbl_hotel->order_by->CellAttributes() ?>>
<div<?php echo $tbl_hotel->order_by->ViewAttributes() ?>><?php echo $tbl_hotel->order_by->ViewValue ?></div></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($tbl_hotel->Export == "") { ?>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php } ?>
<?php include "footer.php" ?>
<?php
$tbl_hotel_view->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_hotel_view {

	// Page ID
	var $PageID = 'view';

	// Table name
	var $TableName = 'tbl_hotel';

	// Page object name
	var $PageObjName = 'tbl_hotel_view';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_hotel;
		if ($tbl_hotel->UseTokenInUrl) $PageUrl .= "t=" . $tbl_hotel->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_hotel;
		if ($tbl_hotel->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_hotel->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_hotel->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_hotel_view() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_hotel)
		$GLOBALS["tbl_hotel"] = new ctbl_hotel();

		// Table object (tbl_country)
		$GLOBALS['tbl_country'] = new ctbl_country();

		// Table object (tbl_language)
		$GLOBALS['tbl_language'] = new ctbl_language();

		// Table object (tbl_hotel_original)
		$GLOBALS['tbl_hotel_original'] = new ctbl_hotel_original();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Table object (tbl_province)
		$GLOBALS['tbl_province'] = new ctbl_province();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_hotel', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_hotel;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $lDisplayRecs = 1;
	var $lStartRec;
	var $lStopRec;
	var $lTotalRecs = 0;
	var $lRecRange = 10;
	var $lRecCnt;
	var $arRecKey = array();

	//
	// Page main
	//
	function Page_Main() {
		global $Language, $tbl_hotel;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["hotel_id"] <> "") {
				$tbl_hotel->hotel_id->setQueryStringValue($_GET["hotel_id"]);
				$this->arRecKey["hotel_id"] = $tbl_hotel->hotel_id->QueryStringValue;
			} else {
				$sReturnUrl = "tbl_hotellist.php"; // Return to list
			}

			// Get action
			$tbl_hotel->CurrentAction = "I"; // Display form
			switch ($tbl_hotel->CurrentAction) {
				case "I": // Get a record to display
					if (!$this->LoadRow()) { // Load record based on key
						$this->setMessage($Language->Phrase("NoRecord")); // Set no record message
						$sReturnUrl = "tbl_hotellist.php"; // No matching record, return to list
					}
			}
		} else {
			$sReturnUrl = "tbl_hotellist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$tbl_hotel->RowType = EW_ROWTYPE_VIEW;
		$this->RenderRow();
	}

	// Set up starting record parameters
	function SetUpStartRec() {
		global $tbl_hotel;
		if ($this->lDisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->lStartRec = $_GET[EW_TABLE_START_REC];
				$tbl_hotel->setStartRecordNumber($this->lStartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$this->nPageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($this->nPageNo)) {
					$this->lStartRec = ($this->nPageNo-1)*$this->lDisplayRecs+1;
					if ($this->lStartRec <= 0) {
						$this->lStartRec = 1;
					} elseif ($this->lStartRec >= intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1) {
						$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1;
					}
					$tbl_hotel->setStartRecordNumber($this->lStartRec);
				}
			}
		}
		$this->lStartRec = $tbl_hotel->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->lStartRec) || $this->lStartRec == "") { // Avoid invalid start record counter
			$this->lStartRec = 1; // Reset start record counter
			$tbl_hotel->setStartRecordNumber($this->lStartRec);
		} elseif (intval($this->lStartRec) > intval($this->lTotalRecs)) { // Avoid starting record > total records
			$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to last page first record
			$tbl_hotel->setStartRecordNumber($this->lStartRec);
		} elseif (($this->lStartRec-1) % $this->lDisplayRecs <> 0) {
			$this->lStartRec = intval(($this->lStartRec-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to page boundary
			$tbl_hotel->setStartRecordNumber($this->lStartRec);
		}
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_hotel;
		$sFilter = $tbl_hotel->KeyFilter();

		// Call Row Selecting event
		$tbl_hotel->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_hotel->CurrentFilter = $sFilter;
		$sSql = $tbl_hotel->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_hotel->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_hotel;
		$tbl_hotel->hotel_id->setDbValue($rs->fields('hotel_id'));
		$tbl_hotel->hotel_or_id->setDbValue($rs->fields('hotel_or_id'));
		$tbl_hotel->language_id->setDbValue($rs->fields('language_id'));
		$tbl_hotel->country_id->setDbValue($rs->fields('country_id'));
		$tbl_hotel->province_id->setDbValue($rs->fields('province_id'));
		$tbl_hotel->category->setDbValue($rs->fields('category'));
		$tbl_hotel->photo->Upload->DbValue = $rs->fields('photo');
		$tbl_hotel->hotel_name->setDbValue($rs->fields('hotel_name'));
		$tbl_hotel->descriptioin->setDbValue($rs->fields('descriptioin'));
		$tbl_hotel->order_by->setDbValue($rs->fields('order_by'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_hotel;

		// Initialize URLs
		$this->ExportPrintUrl = $this->PageUrl() . "export=print&" . "hotel_id=" . urlencode($tbl_hotel->hotel_id->CurrentValue);
		$this->ExportHtmlUrl = $this->PageUrl() . "export=html&" . "hotel_id=" . urlencode($tbl_hotel->hotel_id->CurrentValue);
		$this->ExportExcelUrl = $this->PageUrl() . "export=excel&" . "hotel_id=" . urlencode($tbl_hotel->hotel_id->CurrentValue);
		$this->ExportWordUrl = $this->PageUrl() . "export=word&" . "hotel_id=" . urlencode($tbl_hotel->hotel_id->CurrentValue);
		$this->ExportXmlUrl = $this->PageUrl() . "export=xml&" . "hotel_id=" . urlencode($tbl_hotel->hotel_id->CurrentValue);
		$this->ExportCsvUrl = $this->PageUrl() . "export=csv&" . "hotel_id=" . urlencode($tbl_hotel->hotel_id->CurrentValue);
		$this->AddUrl = $tbl_hotel->AddUrl();
		$this->EditUrl = $tbl_hotel->EditUrl();
		$this->CopyUrl = $tbl_hotel->CopyUrl();
		$this->DeleteUrl = $tbl_hotel->DeleteUrl();
		$this->ListUrl = $tbl_hotel->ListUrl();

		// Call Row_Rendering event
		$tbl_hotel->Row_Rendering();

		// Common render codes for all row types
		// hotel_id

		$tbl_hotel->hotel_id->CellCssStyle = ""; $tbl_hotel->hotel_id->CellCssClass = "";
		$tbl_hotel->hotel_id->CellAttrs = array(); $tbl_hotel->hotel_id->ViewAttrs = array(); $tbl_hotel->hotel_id->EditAttrs = array();

		// hotel_or_id
		$tbl_hotel->hotel_or_id->CellCssStyle = ""; $tbl_hotel->hotel_or_id->CellCssClass = "";
		$tbl_hotel->hotel_or_id->CellAttrs = array(); $tbl_hotel->hotel_or_id->ViewAttrs = array(); $tbl_hotel->hotel_or_id->EditAttrs = array();

		// language_id
		$tbl_hotel->language_id->CellCssStyle = ""; $tbl_hotel->language_id->CellCssClass = "";
		$tbl_hotel->language_id->CellAttrs = array(); $tbl_hotel->language_id->ViewAttrs = array(); $tbl_hotel->language_id->EditAttrs = array();

		// country_id
		$tbl_hotel->country_id->CellCssStyle = ""; $tbl_hotel->country_id->CellCssClass = "";
		$tbl_hotel->country_id->CellAttrs = array(); $tbl_hotel->country_id->ViewAttrs = array(); $tbl_hotel->country_id->EditAttrs = array();

		// province_id
		$tbl_hotel->province_id->CellCssStyle = ""; $tbl_hotel->province_id->CellCssClass = "";
		$tbl_hotel->province_id->CellAttrs = array(); $tbl_hotel->province_id->ViewAttrs = array(); $tbl_hotel->province_id->EditAttrs = array();

		// category
		$tbl_hotel->category->CellCssStyle = ""; $tbl_hotel->category->CellCssClass = "";
		$tbl_hotel->category->CellAttrs = array(); $tbl_hotel->category->ViewAttrs = array(); $tbl_hotel->category->EditAttrs = array();

		// photo
		$tbl_hotel->photo->CellCssStyle = ""; $tbl_hotel->photo->CellCssClass = "";
		$tbl_hotel->photo->CellAttrs = array(); $tbl_hotel->photo->ViewAttrs = array(); $tbl_hotel->photo->EditAttrs = array();

		// hotel_name
		$tbl_hotel->hotel_name->CellCssStyle = ""; $tbl_hotel->hotel_name->CellCssClass = "";
		$tbl_hotel->hotel_name->CellAttrs = array(); $tbl_hotel->hotel_name->ViewAttrs = array(); $tbl_hotel->hotel_name->EditAttrs = array();

		// descriptioin
		$tbl_hotel->descriptioin->CellCssStyle = ""; $tbl_hotel->descriptioin->CellCssClass = "";
		$tbl_hotel->descriptioin->CellAttrs = array(); $tbl_hotel->descriptioin->ViewAttrs = array(); $tbl_hotel->descriptioin->EditAttrs = array();

		// order_by
		$tbl_hotel->order_by->CellCssStyle = ""; $tbl_hotel->order_by->CellCssClass = "";
		$tbl_hotel->order_by->CellAttrs = array(); $tbl_hotel->order_by->ViewAttrs = array(); $tbl_hotel->order_by->EditAttrs = array();
		if ($tbl_hotel->RowType == EW_ROWTYPE_VIEW) { // View row

			// hotel_id
			$tbl_hotel->hotel_id->ViewValue = $tbl_hotel->hotel_id->CurrentValue;
			$tbl_hotel->hotel_id->CssStyle = "";
			$tbl_hotel->hotel_id->CssClass = "";
			$tbl_hotel->hotel_id->ViewCustomAttributes = "";

			// hotel_or_id
			if (strval($tbl_hotel->hotel_or_id->CurrentValue) <> "") {
				$sFilterWrk = "`hote_or_id` = " . ew_AdjustSql($tbl_hotel->hotel_or_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `name` FROM `tbl_hotel_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel->hotel_or_id->ViewValue = $rswrk->fields('name');
					$rswrk->Close();
				} else {
					$tbl_hotel->hotel_or_id->ViewValue = $tbl_hotel->hotel_or_id->CurrentValue;
				}
			} else {
				$tbl_hotel->hotel_or_id->ViewValue = NULL;
			}
			$tbl_hotel->hotel_or_id->CssStyle = "";
			$tbl_hotel->hotel_or_id->CssClass = "";
			$tbl_hotel->hotel_or_id->ViewCustomAttributes = "";

			// language_id
			if (strval($tbl_hotel->language_id->CurrentValue) <> "") {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_hotel->language_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `language` FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel->language_id->ViewValue = $rswrk->fields('language');
					$rswrk->Close();
				} else {
					$tbl_hotel->language_id->ViewValue = $tbl_hotel->language_id->CurrentValue;
				}
			} else {
				$tbl_hotel->language_id->ViewValue = NULL;
			}
			$tbl_hotel->language_id->CssStyle = "";
			$tbl_hotel->language_id->CssClass = "";
			$tbl_hotel->language_id->ViewCustomAttributes = "";

			// country_id
			if (strval($tbl_hotel->country_id->CurrentValue) <> "") {
				$sFilterWrk = "`country_id` = " . ew_AdjustSql($tbl_hotel->country_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `country_name` FROM `tbl_country`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel->country_id->ViewValue = $rswrk->fields('country_name');
					$rswrk->Close();
				} else {
					$tbl_hotel->country_id->ViewValue = $tbl_hotel->country_id->CurrentValue;
				}
			} else {
				$tbl_hotel->country_id->ViewValue = NULL;
			}
			$tbl_hotel->country_id->CssStyle = "";
			$tbl_hotel->country_id->CssClass = "";
			$tbl_hotel->country_id->ViewCustomAttributes = "";

			// province_id
			if (strval($tbl_hotel->province_id->CurrentValue) <> "") {
				$sFilterWrk = "`province_id` = " . ew_AdjustSql($tbl_hotel->province_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `province_name` FROM `tbl_province`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel->province_id->ViewValue = $rswrk->fields('province_name');
					$rswrk->Close();
				} else {
					$tbl_hotel->province_id->ViewValue = $tbl_hotel->province_id->CurrentValue;
				}
			} else {
				$tbl_hotel->province_id->ViewValue = NULL;
			}
			$tbl_hotel->province_id->CssStyle = "";
			$tbl_hotel->province_id->CssClass = "";
			$tbl_hotel->province_id->ViewCustomAttributes = "";

			// category
			if (strval($tbl_hotel->category->CurrentValue) <> "") {
				switch ($tbl_hotel->category->CurrentValue) {
					case "34":
						$tbl_hotel->category->ViewValue = "3 Starts Hotel";
						break;
					case "43":
						$tbl_hotel->category->ViewValue = "4 Starts Hotel";
						break;
					case "5":
						$tbl_hotel->category->ViewValue = "5 Starts Hotel";
						break;
					case "boutiqu":
						$tbl_hotel->category->ViewValue = "Boutique";
						break;
					case "eco":
						$tbl_hotel->category->ViewValue = "Eco-Lodge & Resort";
						break;
					default:
						$tbl_hotel->category->ViewValue = $tbl_hotel->category->CurrentValue;
				}
			} else {
				$tbl_hotel->category->ViewValue = NULL;
			}
			$tbl_hotel->category->CssStyle = "";
			$tbl_hotel->category->CssClass = "";
			$tbl_hotel->category->ViewCustomAttributes = "";

			// photo
			if (!ew_Empty($tbl_hotel->photo->Upload->DbValue)) {
				$tbl_hotel->photo->ViewValue = $tbl_hotel->photo->Upload->DbValue;
				$tbl_hotel->photo->ImageWidth = 180;
				$tbl_hotel->photo->ImageHeight = 0;
				$tbl_hotel->photo->ImageAlt = $tbl_hotel->photo->FldAlt();
			} else {
				$tbl_hotel->photo->ViewValue = "";
			}
			$tbl_hotel->photo->CssStyle = "";
			$tbl_hotel->photo->CssClass = "";
			$tbl_hotel->photo->ViewCustomAttributes = "";

			// hotel_name
			$tbl_hotel->hotel_name->ViewValue = $tbl_hotel->hotel_name->CurrentValue;
			$tbl_hotel->hotel_name->CssStyle = "";
			$tbl_hotel->hotel_name->CssClass = "";
			$tbl_hotel->hotel_name->ViewCustomAttributes = "";

			// descriptioin
			$tbl_hotel->descriptioin->ViewValue = $tbl_hotel->descriptioin->CurrentValue;
			$tbl_hotel->descriptioin->CssStyle = "";
			$tbl_hotel->descriptioin->CssClass = "";
			$tbl_hotel->descriptioin->ViewCustomAttributes = "";

			// order_by
			$tbl_hotel->order_by->ViewValue = $tbl_hotel->order_by->CurrentValue;
			$tbl_hotel->order_by->CssStyle = "";
			$tbl_hotel->order_by->CssClass = "";
			$tbl_hotel->order_by->ViewCustomAttributes = "";

			// hotel_id
			$tbl_hotel->hotel_id->HrefValue = "";
			$tbl_hotel->hotel_id->TooltipValue = "";

			// hotel_or_id
			$tbl_hotel->hotel_or_id->HrefValue = "";
			$tbl_hotel->hotel_or_id->TooltipValue = "";

			// language_id
			$tbl_hotel->language_id->HrefValue = "";
			$tbl_hotel->language_id->TooltipValue = "";

			// country_id
			$tbl_hotel->country_id->HrefValue = "";
			$tbl_hotel->country_id->TooltipValue = "";

			// province_id
			$tbl_hotel->province_id->HrefValue = "";
			$tbl_hotel->province_id->TooltipValue = "";

			// category
			$tbl_hotel->category->HrefValue = "";
			$tbl_hotel->category->TooltipValue = "";

			// photo
			$tbl_hotel->photo->HrefValue = "";
			$tbl_hotel->photo->TooltipValue = "";

			// hotel_name
			$tbl_hotel->hotel_name->HrefValue = "";
			$tbl_hotel->hotel_name->TooltipValue = "";

			// descriptioin
			$tbl_hotel->descriptioin->HrefValue = "";
			$tbl_hotel->descriptioin->TooltipValue = "";

			// order_by
			$tbl_hotel->order_by->HrefValue = "";
			$tbl_hotel->order_by->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($tbl_hotel->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_hotel->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}
}
?>
